import * as React from 'react';
import { ISplitClientChildProps } from './types';
/**
 * High-Order Component for SplitClient.
 * The wrapped component receives all the props of the container,
 * along with the passed props from SplitClient (see ISplitClientChildProps).
 *
 * @param splitKey - The customer identifier.
 * @param attributes - An object of type Attributes used to evaluate the feature flags.
 *
 * @deprecated `withSplitClient` will be removed in a future major release. We recommend replacing it with the `useSplitClient` hook.
 */
export declare function withSplitClient(splitKey: SplitIO.SplitKey, attributes?: SplitIO.Attributes): <OuterProps>(WrappedComponent: React.ComponentType<OuterProps & ISplitClientChildProps>, updateOnSdkUpdate?: boolean | undefined, updateOnSdkTimedout?: boolean | undefined, updateOnSdkReady?: boolean | undefined, updateOnSdkReadyFromCache?: boolean | undefined) => (props: OuterProps) => React.JSX.Element;
